<?php
namespace App\Tools;

use function Hyperf\Support\env;

class PublicData
{
    /**
     * 拼接图片地址
     * @param string $imgUrl
     * @return string
     */
    public static function getImageUrl(string $imgUrl)
    {
        return env("OSS_ENDPOINT")."/".env("BUCKET")."/".$imgUrl;
    }

    /**
     * 截取图片地址
     * @param string $imgUrl
     * @return string
     */
    public static function saveImageUrl(string $imgUrl)
    {
        $baseToRemove = env("OSS_ENDPOINT")."/".env("BUCKET")."/";
        // 使用 substr 和 strpos 函数找到并移除基础路径
        if (strpos($imgUrl, $baseToRemove) === 0) {
            // 如果URL以指定的基础路径开始，则移除该部分
            $result = substr($imgUrl, strlen($baseToRemove));
        } else {
            $result = $imgUrl; // 如果URL不以指定的基础路径开始，则保持原样
        }
        return $result;
    }
}